cURL
curl --request POST \ --url https://api.steppay.kr/api/v1/cover/product \ --header 'Content-Type: application/json' \ --header 'Secret-Token: <api-key>' \ --data ' { "name": "<string>", "partnerProductId": "<string>", "featuredImageUrl": "<string>", "replaceIfExists": true } '
{ "id": 123, "name": "<string>", "partnerProductId": "<string>", "featuredImageUrl": "<string>" }
상품 정보를 스텝커버에 등록할 때 사용합니다.
Documentation IndexFetch the complete documentation index at: https://docs.steppay.kr/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
Use this file to discover all available pages before exploring further.
상품 생성 데이터
상품 이름
가맹점에서 사용하는 상품의 unique ID
상품 대표 이미지 URL
partnerProductId 이미 존재할 때 replaceIfExists가 true 이면 값을 수정하고, false 이면 exception 이 발생합니다.
상품 정보가 정상적으로 등록됨
상품 ID - 다른 API 호출에 사용되므로 해당 상품 정보와 함께 저장해놓고 사용하세요.